curl --request POST \
--url https://api.app.chainloop.dev/v1/assessments/list-effective \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_name": "<string>",
"project_version_name": "<string>",
"finding_type": "FINDING_TYPE_UNSPECIFIED",
"lookups": [
{
"identity": "identity",
"external_id": "external_id"
}
]
}
'import requests
url = "https://api.app.chainloop.dev/v1/assessments/list-effective"
payload = {
"project_name": "<string>",
"project_version_name": "<string>",
"finding_type": "FINDING_TYPE_UNSPECIFIED",
"lookups": [
{
"identity": "identity",
"external_id": "external_id"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_name: '<string>',
project_version_name: '<string>',
finding_type: 'FINDING_TYPE_UNSPECIFIED',
lookups: [{identity: 'identity', external_id: 'external_id'}]
})
};
fetch('https://api.app.chainloop.dev/v1/assessments/list-effective', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"lookup": {
"identity": "identity",
"external_id": "external_id"
},
"effective_status": "ASSESSMENT_STATUS_UNSPECIFIED",
"assessments": [
{
"justification_code": "ASSESSMENT_JUSTIFICATION_CODE_UNSPECIFIED",
"note": "note",
"remediation_branch_name": "remediation_branch_name",
"created_at": "2000-01-23T04:56:07.000Z",
"external_id": "external_id",
"remediation_pr_url": "remediation_pr_url",
"fixable_feasibility": 2.027123023002322,
"products": [
{
"purl_glob": "purl_glob"
},
{
"purl_glob": "purl_glob"
}
],
"remediation_status": "remediation_status",
"updated_at": "2000-01-23T04:56:07.000Z",
"project_id": "project_id",
"cvss_vector": "cvss_vector",
"remediation_pr_state": "remediation_pr_state",
"scope": "ASSESSMENT_SCOPE_UNSPECIFIED",
"id": "id",
"fixable_status": null,
"severity": "FINDING_SEVERITY_UNSPECIFIED",
"effective_reviewed_at": "2000-01-23T04:56:07.000Z",
"pending_revision": {
"justification_code": null,
"note": "note",
"approval_status": "ASSESSMENT_APPROVAL_STATUS_UNSPECIFIED",
"reviewed_at": "2000-01-23T04:56:07.000Z",
"created_at": "2000-01-23T04:56:07.000Z",
"assessment_id": "assessment_id",
"fixable_summary": "fixable_summary",
"project_version_id": "project_version_id",
"reviewer": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"fixable_feasibility": 5.962133916683182,
"confidence_breakdown": {
"schema_version": "schema_version",
"scores": {
"key": {
"reason": "reason",
"abstained": true,
"value": 2.3021358869347655
}
},
"derived": {
"rollup_active_axes": 9,
"dominant_low_axis": {
"reason": "reason",
"axis": "axis",
"value": 3.616076749251911
},
"rollup": 7.061401241503109
}
},
"created_by": {
"api_token": {
"id": "id"
},
"type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
"user": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"ai_agent": {
"name": "name"
}
},
"revision": 1,
"products": [
{
"purl_glob": "purl_glob"
},
{
"purl_glob": "purl_glob"
}
],
"review_note": "review_note",
"scope": null,
"confidence_score": 5.637376656633329,
"id": "id",
"fixable_status": "FIXABLE_STATUS_UNSPECIFIED",
"status": null
},
"remediation_pr_number": 0,
"fixable_summary": "fixable_summary",
"project_version_id": "project_version_id",
"remediation_confidence": 6.027456183070403,
"created_by": {
"api_token": {
"id": "id"
},
"type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
"user": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"ai_agent": {
"name": "name"
}
},
"remediation_status_reason": "remediation_status_reason",
"remediation_updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"effective_reviewer": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"status": "ASSESSMENT_STATUS_UNSPECIFIED"
},
{
"justification_code": "ASSESSMENT_JUSTIFICATION_CODE_UNSPECIFIED",
"note": "note",
"remediation_branch_name": "remediation_branch_name",
"created_at": "2000-01-23T04:56:07.000Z",
"external_id": "external_id",
"remediation_pr_url": "remediation_pr_url",
"fixable_feasibility": 2.027123023002322,
"products": [
{
"purl_glob": "purl_glob"
},
{
"purl_glob": "purl_glob"
}
],
"remediation_status": "remediation_status",
"updated_at": "2000-01-23T04:56:07.000Z",
"project_id": "project_id",
"cvss_vector": "cvss_vector",
"remediation_pr_state": "remediation_pr_state",
"scope": "ASSESSMENT_SCOPE_UNSPECIFIED",
"id": "id",
"fixable_status": null,
"severity": "FINDING_SEVERITY_UNSPECIFIED",
"effective_reviewed_at": "2000-01-23T04:56:07.000Z",
"pending_revision": {
"justification_code": null,
"note": "note",
"approval_status": "ASSESSMENT_APPROVAL_STATUS_UNSPECIFIED",
"reviewed_at": "2000-01-23T04:56:07.000Z",
"created_at": "2000-01-23T04:56:07.000Z",
"assessment_id": "assessment_id",
"fixable_summary": "fixable_summary",
"project_version_id": "project_version_id",
"reviewer": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"fixable_feasibility": 5.962133916683182,
"confidence_breakdown": {
"schema_version": "schema_version",
"scores": {
"key": {
"reason": "reason",
"abstained": true,
"value": 2.3021358869347655
}
},
"derived": {
"rollup_active_axes": 9,
"dominant_low_axis": {
"reason": "reason",
"axis": "axis",
"value": 3.616076749251911
},
"rollup": 7.061401241503109
}
},
"created_by": {
"api_token": {
"id": "id"
},
"type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
"user": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"ai_agent": {
"name": "name"
}
},
"revision": 1,
"products": [
{
"purl_glob": "purl_glob"
},
{
"purl_glob": "purl_glob"
}
],
"review_note": "review_note",
"scope": null,
"confidence_score": 5.637376656633329,
"id": "id",
"fixable_status": "FIXABLE_STATUS_UNSPECIFIED",
"status": null
},
"remediation_pr_number": 0,
"fixable_summary": "fixable_summary",
"project_version_id": "project_version_id",
"remediation_confidence": 6.027456183070403,
"created_by": {
"api_token": {
"id": "id"
},
"type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
"user": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"ai_agent": {
"name": "name"
}
},
"remediation_status_reason": "remediation_status_reason",
"remediation_updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"effective_reviewer": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"status": "ASSESSMENT_STATUS_UNSPECIFIED"
}
]
},
{
"lookup": {
"identity": "identity",
"external_id": "external_id"
},
"effective_status": "ASSESSMENT_STATUS_UNSPECIFIED",
"assessments": [
{
"justification_code": "ASSESSMENT_JUSTIFICATION_CODE_UNSPECIFIED",
"note": "note",
"remediation_branch_name": "remediation_branch_name",
"created_at": "2000-01-23T04:56:07.000Z",
"external_id": "external_id",
"remediation_pr_url": "remediation_pr_url",
"fixable_feasibility": 2.027123023002322,
"products": [
{
"purl_glob": "purl_glob"
},
{
"purl_glob": "purl_glob"
}
],
"remediation_status": "remediation_status",
"updated_at": "2000-01-23T04:56:07.000Z",
"project_id": "project_id",
"cvss_vector": "cvss_vector",
"remediation_pr_state": "remediation_pr_state",
"scope": "ASSESSMENT_SCOPE_UNSPECIFIED",
"id": "id",
"fixable_status": null,
"severity": "FINDING_SEVERITY_UNSPECIFIED",
"effective_reviewed_at": "2000-01-23T04:56:07.000Z",
"pending_revision": {
"justification_code": null,
"note": "note",
"approval_status": "ASSESSMENT_APPROVAL_STATUS_UNSPECIFIED",
"reviewed_at": "2000-01-23T04:56:07.000Z",
"created_at": "2000-01-23T04:56:07.000Z",
"assessment_id": "assessment_id",
"fixable_summary": "fixable_summary",
"project_version_id": "project_version_id",
"reviewer": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"fixable_feasibility": 5.962133916683182,
"confidence_breakdown": {
"schema_version": "schema_version",
"scores": {
"key": {
"reason": "reason",
"abstained": true,
"value": 2.3021358869347655
}
},
"derived": {
"rollup_active_axes": 9,
"dominant_low_axis": {
"reason": "reason",
"axis": "axis",
"value": 3.616076749251911
},
"rollup": 7.061401241503109
}
},
"created_by": {
"api_token": {
"id": "id"
},
"type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
"user": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"ai_agent": {
"name": "name"
}
},
"revision": 1,
"products": [
{
"purl_glob": "purl_glob"
},
{
"purl_glob": "purl_glob"
}
],
"review_note": "review_note",
"scope": null,
"confidence_score": 5.637376656633329,
"id": "id",
"fixable_status": "FIXABLE_STATUS_UNSPECIFIED",
"status": null
},
"remediation_pr_number": 0,
"fixable_summary": "fixable_summary",
"project_version_id": "project_version_id",
"remediation_confidence": 6.027456183070403,
"created_by": {
"api_token": {
"id": "id"
},
"type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
"user": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"ai_agent": {
"name": "name"
}
},
"remediation_status_reason": "remediation_status_reason",
"remediation_updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"effective_reviewer": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"status": "ASSESSMENT_STATUS_UNSPECIFIED"
},
{
"justification_code": "ASSESSMENT_JUSTIFICATION_CODE_UNSPECIFIED",
"note": "note",
"remediation_branch_name": "remediation_branch_name",
"created_at": "2000-01-23T04:56:07.000Z",
"external_id": "external_id",
"remediation_pr_url": "remediation_pr_url",
"fixable_feasibility": 2.027123023002322,
"products": [
{
"purl_glob": "purl_glob"
},
{
"purl_glob": "purl_glob"
}
],
"remediation_status": "remediation_status",
"updated_at": "2000-01-23T04:56:07.000Z",
"project_id": "project_id",
"cvss_vector": "cvss_vector",
"remediation_pr_state": "remediation_pr_state",
"scope": "ASSESSMENT_SCOPE_UNSPECIFIED",
"id": "id",
"fixable_status": null,
"severity": "FINDING_SEVERITY_UNSPECIFIED",
"effective_reviewed_at": "2000-01-23T04:56:07.000Z",
"pending_revision": {
"justification_code": null,
"note": "note",
"approval_status": "ASSESSMENT_APPROVAL_STATUS_UNSPECIFIED",
"reviewed_at": "2000-01-23T04:56:07.000Z",
"created_at": "2000-01-23T04:56:07.000Z",
"assessment_id": "assessment_id",
"fixable_summary": "fixable_summary",
"project_version_id": "project_version_id",
"reviewer": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"fixable_feasibility": 5.962133916683182,
"confidence_breakdown": {
"schema_version": "schema_version",
"scores": {
"key": {
"reason": "reason",
"abstained": true,
"value": 2.3021358869347655
}
},
"derived": {
"rollup_active_axes": 9,
"dominant_low_axis": {
"reason": "reason",
"axis": "axis",
"value": 3.616076749251911
},
"rollup": 7.061401241503109
}
},
"created_by": {
"api_token": {
"id": "id"
},
"type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
"user": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"ai_agent": {
"name": "name"
}
},
"revision": 1,
"products": [
{
"purl_glob": "purl_glob"
},
{
"purl_glob": "purl_glob"
}
],
"review_note": "review_note",
"scope": null,
"confidence_score": 5.637376656633329,
"id": "id",
"fixable_status": "FIXABLE_STATUS_UNSPECIFIED",
"status": null
},
"remediation_pr_number": 0,
"fixable_summary": "fixable_summary",
"project_version_id": "project_version_id",
"remediation_confidence": 6.027456183070403,
"created_by": {
"api_token": {
"id": "id"
},
"type": "ASSESSMENT_CREATOR_TYPE_UNSPECIFIED",
"user": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"ai_agent": {
"name": "name"
}
},
"remediation_status_reason": "remediation_status_reason",
"remediation_updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"effective_reviewer": {
"intercom_hash": "intercom_hash",
"created_at": "2000-01-23T04:56:07.000Z",
"last_name": "last_name",
"id": "id",
"first_name": "first_name",
"email": "email",
"instance_admin": true
},
"status": "ASSESSMENT_STATUS_UNSPECIFIED"
}
]
}
]
}{
"code": 0,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 6,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 1,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
{
"@type": "@type"
},
{
"@type": "@type"
}
],
"message": "message"
}List effective assessments for lookups
For each (external_id, identity) lookup of a given finding type, return matching assessments and the precedence-resolved effective status, scoped to a project (and optionally a version). Works with zero findings — queries assessments directly.
Authorizations
Bearer token for authentication
Body
Request to look up effective assessments for one or more (external_id, identity) lookups of a given finding type
Request to look up effective assessments for one or more (external_id, identity) lookups of a given finding type
Project name
Project version name (scopes precedence to that version when set)
FindingType represents the type of security finding. Lives in shared_messages.proto for the same reason as FindingSeverity: assessment.proto needs it for the ListEffective query tuples without creating an import cycle with finding.proto.
FINDING_TYPE_UNSPECIFIED, FINDING_TYPE_VULNERABILITY Lookups (1 to 5000 entries)
Show child attributes
Show child attributes
Response
A successful response.
Response for ListEffective method
Per-lookup results, index-aligned with the request's lookups
Show child attributes
Show child attributes
